hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acmur...@apache.org
Subject svn commit: r1232322 - in /hadoop/common/trunk/hadoop-common-project/hadoop-common: CHANGES.txt src/main/bin/hadoop
Date Tue, 17 Jan 2012 06:56:52 GMT
Author: acmurthy
Date: Tue Jan 17 06:56:52 2012
New Revision: 1232322

URL: http://svn.apache.org/viewvc?rev=1232322&view=rev
Log:
HADOOP-7971. Adding back job/pipes/queue commands to bin/hadoop for backward compatibility.
Contributed by Prashath Sharma. 

Modified:
    hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt
    hadoop/common/trunk/hadoop-common-project/hadoop-common/src/main/bin/hadoop

Modified: hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt
URL: http://svn.apache.org/viewvc/hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt?rev=1232322&r1=1232321&r2=1232322&view=diff
==============================================================================
--- hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt (original)
+++ hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt Tue Jan 17 06:56:52
2012
@@ -276,6 +276,9 @@ Release 0.23.1 - Unreleased
    HADOOP-7974. TestViewFsTrash incorrectly determines the user's home
    directory. (harsh via eli)
 
+   HADOOP-7971. Adding back job/pipes/queue commands to bin/hadoop for
+   backward compatibility. (Prashath Sharma via acmurthy) 
+
 Release 0.23.0 - 2011-11-01 
 
   INCOMPATIBLE CHANGES

Modified: hadoop/common/trunk/hadoop-common-project/hadoop-common/src/main/bin/hadoop
URL: http://svn.apache.org/viewvc/hadoop/common/trunk/hadoop-common-project/hadoop-common/src/main/bin/hadoop?rev=1232322&r1=1232321&r2=1232322&view=diff
==============================================================================
--- hadoop/common/trunk/hadoop-common-project/hadoop-common/src/main/bin/hadoop (original)
+++ hadoop/common/trunk/hadoop-common-project/hadoop-common/src/main/bin/hadoop Tue Jan 17
06:56:52 2012
@@ -60,8 +60,24 @@ case $COMMAND in
     elif [ -f "${HADOOP_PREFIX}"/bin/hdfs ]; then
       exec "${HADOOP_PREFIX}"/bin/hdfs $*
     else
-      echo "HDFS not found."
-      exit
+      echo "HADOOP_HDFS_HOME not found!"
+      exit 1
+    fi
+    ;;
+
+  #mapred commands for backwards compatibility
+  pipes|job|queue)
+    echo "DEPRECATED: Use of this script to execute mapred command is deprecated." 1>&2
+    echo "Instead use the mapred command for it." 1>&2
+    echo "" 1>&2
+    #try to locate mapred and if present, delegate to it.
+    if [ -f "${HADOOP_MAPRED_HOME}"/bin/mapred ]; then
+      exec "${HADOOP_MAPRED_HOME}"/bin/mapred $*
+    elif [ -f "${HADOOP_PREFIX}"/bin/mapred ]; then
+      exec "${HADOOP_PREFIX}"/bin/mapred $*
+    else
+      echo "HADOOP_MAPRED_HOME not found!"
+      exit 1
     fi
     ;;
 



Mime
View raw message